summaryrefslogtreecommitdiff
path: root/sci-libs
diff options
context:
space:
mode:
Diffstat (limited to 'sci-libs')
-rw-r--r--sci-libs/Manifest.gzbin42124 -> 42287 bytes
-rw-r--r--sci-libs/branca/Manifest4
-rw-r--r--sci-libs/branca/branca-0.4.2.ebuild30
-rw-r--r--sci-libs/branca/files/branca-0.4.2-test.patch14
-rw-r--r--sci-libs/branca/metadata.xml16
-rw-r--r--sci-libs/camd/Manifest2
-rw-r--r--sci-libs/camd/camd-2.4.6-r1.ebuild2
-rw-r--r--sci-libs/cdf/Manifest2
-rw-r--r--sci-libs/cdf/cdf-3.8.0-r1.ebuild (renamed from sci-libs/cdf/cdf-3.8.0.ebuild)6
-rw-r--r--sci-libs/gsl/Manifest2
-rw-r--r--sci-libs/gsl/gsl-2.7.ebuild2
-rw-r--r--sci-libs/keras-applications/Manifest2
-rw-r--r--sci-libs/keras-applications/keras-applications-1.0.8-r1.ebuild4
-rw-r--r--sci-libs/keras-preprocessing/Manifest2
-rw-r--r--sci-libs/keras-preprocessing/keras-preprocessing-1.1.2.ebuild2
-rw-r--r--sci-libs/libint/Manifest2
-rw-r--r--sci-libs/libint/libint-2.6.0-r5.ebuild2
-rw-r--r--sci-libs/libqalculate/Manifest4
-rw-r--r--sci-libs/libqalculate/libqalculate-3.19.0.ebuild2
-rw-r--r--sci-libs/libqalculate/libqalculate-3.20.1-r1.ebuild74
-rw-r--r--sci-libs/tensorflow-estimator/Manifest2
-rw-r--r--sci-libs/tensorflow-estimator/tensorflow-estimator-2.5.0.ebuild2
-rw-r--r--sci-libs/tensorflow/Manifest2
-rw-r--r--sci-libs/tensorflow/tensorflow-2.5.0-r1.ebuild410
24 files changed, 572 insertions, 18 deletions
diff --git a/sci-libs/Manifest.gz b/sci-libs/Manifest.gz
index fdde81d6d0cd..fbab1f9bf1b2 100644
--- a/sci-libs/Manifest.gz
+++ b/sci-libs/Manifest.gz
Binary files differ
diff --git a/sci-libs/branca/Manifest b/sci-libs/branca/Manifest
new file mode 100644
index 000000000000..ae0b6b5ac69b
--- /dev/null
+++ b/sci-libs/branca/Manifest
@@ -0,0 +1,4 @@
+AUX branca-0.4.2-test.patch 358 BLAKE2B 087756ebe2507101eaf8c18b2726294b3eec99f7708fff092217b6083ea4f85878c2671671fb8bfbddf92822b60dbdcc737bc0eef0d46b33e1e74f00e244c470 SHA512 81d6542e259c7233e3a2c926b07cadd9fbc930db7d25f552d8febb70f3d689f57f01c49c0b6cc5e795e7fa817a7989a05a8b2768162d730b021bb6a4f2ff3925
+DIST branca-0.4.2.tar.gz 59337 BLAKE2B 7d7f101a3dcc07c0210f968da2ed41f4a75177b625ce46252024da7dbba82618dbe60886c615c9461c724af76b45c7710f631bc65d5743cee7f18a2052f9db49 SHA512 cefb3b0f41d515492902ef4046cf7f10b638aca8409f5b08f201550ed5a971a441d13243b1ce38ac0b8c0f76cde1329955d26c1856e1f3c25014a6ce0d805fd6
+EBUILD branca-0.4.2.ebuild 690 BLAKE2B 73e8827c08d67736567ea7d848b72f273f20a995d292624f24856cd64bd6666baba2e3fd5f6a5d58f669c3507365bc0e724da9bca413042ea594a2d11c8c4dca SHA512 692c3d5af1abc488ce49f3566ebb7e3013508ea9657e34214a637f523a147232f009e65e1404be1e0fc028621591b803ff8035165135d3a30da197293849e487
+MISC metadata.xml 566 BLAKE2B a5480589b81b88e433fc25420876d44f2d2c44bac5283c7b06c203d6fbe05afc46f0f17c2d35721894dc88d52686bf5a7386eeb55a8142695ec45961cf0d75f1 SHA512 fa78103653a5554470eb01f24e6c32412697c99fe9d3b1a75a18918c9fde42b649748c2bd9534af41e61f16255bd0794b86354fcd0d0f1942fb017316a2d78b7
diff --git a/sci-libs/branca/branca-0.4.2.ebuild b/sci-libs/branca/branca-0.4.2.ebuild
new file mode 100644
index 000000000000..f536554b7301
--- /dev/null
+++ b/sci-libs/branca/branca-0.4.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8,9} )
+inherit distutils-r1
+
+DESCRIPTION="spinoff from folium, host the non-map-specific features."
+HOMEPAGE="https://github.com/python-visualization/branca"
+SRC_URI="https://github.com/python-visualization/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+PATCHES=( "${FILESDIR}"/${P}-test.patch )
+
+RDEPEND="dev-python/jinja[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/selenium[${PYTHON_USEDEP}]
+ )"
+BDEPEND=""
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -m 'not headless'
+}
diff --git a/sci-libs/branca/files/branca-0.4.2-test.patch b/sci-libs/branca/files/branca-0.4.2-test.patch
new file mode 100644
index 000000000000..8c1525d69bf7
--- /dev/null
+++ b/sci-libs/branca/files/branca-0.4.2-test.patch
@@ -0,0 +1,14 @@
+--- a/setup.cfg 2021-07-30 21:13:41.303271681 +0200
++++ b/setup.cfg 2021-07-30 21:13:49.133164898 +0200
+@@ -11,11 +11,6 @@
+ parentdir_prefix =
+
+ [tool:pytest]
+-flake8-max-line-length = 105
+-flake8-ignore =
+- docs/* ALL
+- versioneer.py ALL
+- branca/_version.py ALL
+ markers =
+ headless: mark headless tests (deselect with '-m "not headless"')
+
diff --git a/sci-libs/branca/metadata.xml b/sci-libs/branca/metadata.xml
new file mode 100644
index 000000000000..6e83a06af3af
--- /dev/null
+++ b/sci-libs/branca/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>tupone@gentoo.org</email>
+ <name>Tupone Alfredo</name>
+ </maintainer>
+ <longdescription lang="en">
+ This library is a spinoff from folium, that would host the non-map-specific features.
+ It may become a HTML+JS generation library in the future.
+ It is based on Jinja2 only.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">python-visualization/branca</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-libs/camd/Manifest b/sci-libs/camd/Manifest
index aa460590d56e..db4015653f37 100644
--- a/sci-libs/camd/Manifest
+++ b/sci-libs/camd/Manifest
@@ -1,5 +1,5 @@
AUX camd-2.4.6-dash_doc.patch 498 BLAKE2B 93871bfdc9fbe1bc77f7cdc66d18d7517e318edcdbc09e1efa63a9400de5a3e91fa1febdc24394743b710090d7a78fc9e864732c4979db73f679cbd008fea670 SHA512 61a38299792ade16a067e7960d5922ffeb6be838eab73f8be493b999c9256875a07b28066e1965b59f9d9e5f63f616a1674f8987ff847e49ac4ff2a8fe05c73f
DIST camd-2.4.6.tar.bz2 317071 BLAKE2B 8f982050a20f00c9443063a0473caa4aa27efe005fe07b503cb68b29499152561fc9d30d00783607b1e8fb8af88707eabfe22d192b80e375b8a6d04d7a9a26d7 SHA512 c4020ed3e063d04f5d7d1a301719b1a5b5b912d505858f046654c9d283c41ff01d55f668fb7f7179a6ac636f5a5b80f71cac5eb5b1e5cae0ede97d946d62a1d0
-EBUILD camd-2.4.6-r1.ebuild 846 BLAKE2B 29fe717acbc0e52ae6824e6ed147357c7c6f725ea4c53972a2767b6419b52e31ea3915fd86705fed86edb7dbc00a1bb51a93098486930eacb93ea5c3772e0f9e SHA512 00c3174718c29cc174311fb35b31378bcac6623f1297df4804c419de19d6d961cc12bc32e0831f6ce1caab3bce353d422db37af5b510617cb0ccf304e2ad3614
+EBUILD camd-2.4.6-r1.ebuild 840 BLAKE2B c02405546aae3b43bcfd70fa24b2ca475b3d0492fc27f4f1292a00092916f7c20a52e94d65777c3f3a236e03ccb0a350117441e299f49a469935d3871a474b80 SHA512 fa5b9796edf73cba07c9e7c1acd8bd09b12f9e74eb6a1fe30081ee46984a6c0d2b40455ce3a981d08e813e5300e5669ebc5a5b4cecee53858ccaaf01b4c09fc6
EBUILD camd-2.4.6.ebuild 717 BLAKE2B aaea2b067e019608d3bd31ec989d25b926299da54b35fb9b60e0b9bfcd050e9c7ddddf987c9d1b36de838fd3360812d3ded619b576e4f042f9f3dc9e243b84df SHA512 3344d69aec563ab8d21a0aacdc6a14587b182bd460f4849a396ecd51fd2a2ee63bd483eddcafb12c489c23369356a3f4eeb14a7369da11d55f4d93616058c950
MISC metadata.xml 494 BLAKE2B 456f4ab539ab7303849cfabfda3e07987874a833e5691d6c3336ebb8a86cc6d5cc5fe8c20b65d8e5fdd8da1c947b9e7ff8eedfd2cc17da6040ff5d109b1b110d SHA512 6402783aec0922669bbf45477074644a9b10f44b0b06bf86ad9b4ecbab124076ee7f19c2c68c6eb3bf21a1569a3410f1ed0ac12f653dd5808559da133613d09f
diff --git a/sci-libs/camd/camd-2.4.6-r1.ebuild b/sci-libs/camd/camd-2.4.6-r1.ebuild
index 32c654a6328d..76e46e3b9ddf 100644
--- a/sci-libs/camd/camd-2.4.6-r1.ebuild
+++ b/sci-libs/camd/camd-2.4.6-r1.ebuild
@@ -11,7 +11,7 @@ SRC_URI="http://202.36.178.9/sage/${P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
IUSE="doc"
BDEPEND="virtual/pkgconfig
diff --git a/sci-libs/cdf/Manifest b/sci-libs/cdf/Manifest
index 1d0963cade12..444860d31a07 100644
--- a/sci-libs/cdf/Manifest
+++ b/sci-libs/cdf/Manifest
@@ -9,5 +9,5 @@ DIST cdf380vbrm.pdf 2260048 BLAKE2B 30abdf365763df753569289a74013033e0dc56c3ce0a
DIST cdf38_0-dist-cdf.tar.gz 1251571 BLAKE2B d51463fcf196e0c35617b93725104b34a9047ee7ef22d5d5b7ed9ed5816903e435f130b8ebb0d75e0f05c4908b71de3a4c9bab910a9472b3111be22f659e1bc8 SHA512 cc13358ddd5dfa90731ec6d9da0985697ff9e297be0bc03d8132761d479f5ff062c822085d3141a2fa4320ccd7d1b59064fc236f143a00f24b22c6edf0f618ce
DIST cdf38_0-dist-java.tar.gz 1007414 BLAKE2B 64fb991d937e9242d42a9b6524facff35acefe4fb2279b92942faf6a9403fae98c3a6b8e9881a916e8669ead5bca4a404dbc250d3a95be26cbe761b6dfa48227 SHA512 12b4d98561f4c07ef4837daa0fc90e1d1cb78622b3837d3cdc30643eae3e9f1ffe50dfa22e8be56615aa4cf4b983df6bde2d1c9fbe2115142d9fdfa653bee2be
DIST cdf38ifd.pdf 881707 BLAKE2B b80e15e631eb5025317d324893c16838b3a44218cf2c592692eff4d0b778494f2555cf79d2d35b54d66606a82c3835ad896fe809ef363f85ab8261879bf55167 SHA512 2dd3ff5867f5faba3502f877057e9d3110e7be03219dcf5aa657c6685e4a63f847b3d3fbea8d201ae5601a78773c636799cc1ab53e77e12d0ffd5c543322340c
-EBUILD cdf-3.8.0.ebuild 3247 BLAKE2B 1a803b6b61f99dde5075cbd3a1259ed93177e6c8a02bdc30bcdbb295ec1936360f1f11b646fbf4641a500d345f21126aa822adc08f0d429b56f95bb015b0ec4c SHA512 57c2263a5b96681c04fbc0472ad7e8db255b01ab6922037ba7af7c3fed3945f4860be75bcc5f90e5c685aa10fe913b153d7040887d9fa57dcff195494028c2e2
+EBUILD cdf-3.8.0-r1.ebuild 3243 BLAKE2B 38829e729888e48e6cb17169aca9f76acb89247e8da0ee6f7815f718c0df1cf3e332ccd4d47cf3cecb57601a16d186308b647d7a9b2f0a7f95234d34e077463f SHA512 7138664c012bd17c6219feb81493d295c36276e7eabdeef47957452df0b3c26829d3c0748a926b993b17fd614e4a83d0cfdca9e6bc76c6241353ac65af3e909f
MISC metadata.xml 1025 BLAKE2B b93e6e8c52f2ac85ac66c6aa1a9a4075c11d6d6ae4c28e540a33b2964f911e5c118510f0b57d25ead76aa3bf07be70b309af1079425bf786c18f70e00930c143 SHA512 26992a8b0ce0aff229d7dc4e87440dc15e0a0143ef88ba6d910a8e4f6372803ae8e3bd007a53b554509220bdb41fe8a804f9b606a4dca47f03d88d39f2164549
diff --git a/sci-libs/cdf/cdf-3.8.0.ebuild b/sci-libs/cdf/cdf-3.8.0-r1.ebuild
index 84faafaf9a4d..5d8499adc51c 100644
--- a/sci-libs/cdf/cdf-3.8.0.ebuild
+++ b/sci-libs/cdf/cdf-3.8.0-r1.ebuild
@@ -59,7 +59,9 @@ src_compile() {
PV_SO=${PV:0:1}
emake \
OS=linux \
+ AR=$(tc-getAR) \
CC=$(tc-getCC) \
+ LD=$(tc-getCC) \
ENV=gnu \
SHARED=yes \
SHAREDEXT_linux=so.${PV_SO} \
@@ -111,7 +113,7 @@ src_install() {
fi
if use examples; then
- docinto /usr/share/doc/${PF}/examples
+ docinto examples
dodoc samples/*
fi
@@ -122,7 +124,7 @@ src_install() {
/usr/$(get_libdir)/libcdfNativeLibrary.so
java-pkg_dojar */*.jar
if use examples; then
- docinto /usr/share/doc/${PF}/examples/java
+ docinto examples/java
dodoc examples/*
fi
fi
diff --git a/sci-libs/gsl/Manifest b/sci-libs/gsl/Manifest
index 26690b4da095..ac4699e90609 100644
--- a/sci-libs/gsl/Manifest
+++ b/sci-libs/gsl/Manifest
@@ -8,5 +8,5 @@ DIST gsl-2.7-cblas.patch.bz2 12073 BLAKE2B 71f2bdafdb1f42ca5c3515f8e392662421852
DIST gsl-2.7.tar.gz 7508761 BLAKE2B a9da4df40ea57374880026a0586f2f218dbb0c9154cc661b3e7f5cd414311b95300e60faa2d7f4d3c6cdae5cfdf77cb8052075b56f51564aec2649cc4ad5f7f9 SHA512 a14ac5400acaf4884620430dbeb6f0b28eafe946923b792ab0eccc2a2abc9113d8ce342f4b1e5396f05247649f7d6f953944a8e6bdbf9ee1adb9e67b7c3df2b5
EBUILD gsl-1.16.ebuild 3069 BLAKE2B 3cb68ede8761db13a1e17b0e0aff1f165e20f38946dd5b70a92b597c38faa4581bd0c9b96d16257f7fbccfa765513e4a0319686f4ffd959e7a0d2e084cacab75 SHA512 03a6b20f6d6cf125d120841aea9b2170e9bb77bbc64346e82f3a03fc5e78c19ae75bf8e01c19e6371f21658c3bcc168f0f13a04ebb500715629c45306b5af713
EBUILD gsl-2.5-r1.ebuild 1428 BLAKE2B 199410861db77b4e73bba3647790efd91fe675185c55cb1730e6e06221753f34048cff8033e07c1846104801c994da0b9fe0c2da3a6661e3899d67b0345892fc SHA512 bc175e93a0ab179b397d97efe24a9b66a1787c28dcd5c38e6cec359246790fb01fb43764567dd1031ace02acc99928d1518a59f6c4e98b8c674c7f8f1f7c09bf
-EBUILD gsl-2.7.ebuild 1456 BLAKE2B a7eb14aa4241789d1cb7d3c480fcd39fc1337401f12723e977dd0186cdd968cf2f3a2db3c5e712a2b96933fc016ef2f40edff95de943926d312e3245408cc145 SHA512 090f6df2ac6b24e3507328e8faa84df916555e0ef11a605d9627825806649abe6989d9efdfaee354889a55985805fd0839111425ba96f23c45b0bb41cd9994cd
+EBUILD gsl-2.7.ebuild 1461 BLAKE2B b8ba4ef7b9bd8c2485750c9a26ea778f0a913a0a6c2e67be34d5deaaa0a7349299e216ed2635681b4f46e489f76600a2f406e31a255bf3b876bbb6b1b734b0f9 SHA512 f1c8fd6ac5b35ae6854745d33c51af2066f72ebacd1ab49f52109a7362a47d8b3804ccf7ef3def69df91eceea1056b26e28a436b4af72c70255842d3645ca0bc
MISC metadata.xml 1190 BLAKE2B b9015dc09464b327144a546a0e9dae6e1c5eaf3ce118a24b7ad1853f09af1952284f754aada2436d7e1a1df82638720492445d8f015ccb1cec05c78dd718fc26 SHA512 f56ec87aeb8f257480a631748db79c78193797e1ecd586dbbd78f31a01fbbd3341fa67ffd3244e5dba352478ee552184d6a1d9b5ef5d54d67b038215090eca00
diff --git a/sci-libs/gsl/gsl-2.7.ebuild b/sci-libs/gsl/gsl-2.7.ebuild
index 35e85c74340b..1819cb8629de 100644
--- a/sci-libs/gsl/gsl-2.7.ebuild
+++ b/sci-libs/gsl/gsl-2.7.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://gnu/${PN}/${P}.tar.gz
LICENSE="GPL-3"
SLOT="0/25"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
IUSE="cblas-external +deprecated static-libs"
RDEPEND="cblas-external? ( virtual/cblas:= )"
diff --git a/sci-libs/keras-applications/Manifest b/sci-libs/keras-applications/Manifest
index 98b100895427..8a59b61138a0 100644
--- a/sci-libs/keras-applications/Manifest
+++ b/sci-libs/keras-applications/Manifest
@@ -1,3 +1,3 @@
DIST keras-applications-1.0.8.tar.gz 288909 BLAKE2B 41d70552f5dfdd0c1385a7ca0b527ce0e0c3441c1ee3f72c90569f3e43e6a82485d0d4affee83afc645f3b99a519facb41d11a3fc1384c98f44182dddbea02bb SHA512 58af0d8e0289d97b416559bf235deeb9a5405d50f2a2c93612cdbde36e4d6d006db5c570acb814c209414a4b61c2310a99257aa0e2feaf24e5260d549b8b94f6
-EBUILD keras-applications-1.0.8-r1.ebuild 543 BLAKE2B 5338140ebf0ca3c4290900ba8856f91fe2df6c1287b1c36a15353c0560abfacba3810e69d417fd7076b6cc4b974b8237a0d94432485afbe2007821d162675d24 SHA512 0d6ecabe6df68c4afaef5d4aae34237545df5a91c47f5959a552a055808cf05b11a111f3a63484787f51aebf4d739b21fee55f8023c9ac99344efeee1ee3bd40
+EBUILD keras-applications-1.0.8-r1.ebuild 545 BLAKE2B 0ac41382b219ebd3c3e42cbef5d9ef7ff9964d81e9d22e67cc0d6169a5a52bfdec39cf522b569fae3b8a2910f7449b92772d66dad87db4dc8e8e2c853c924cf5 SHA512 96b1f4199889b92d5909f2bde219ee4b6bd1b79b7a2f39d33b84218c328de49d90dddb72c91397ef832335bb6d3236af8187e0f710297d6375dcc1ecb7a55753
MISC metadata.xml 621 BLAKE2B 4f375ddfcfed6172df186350f7bd3dbfbcacea34f555b14719af43f58b140d73e378cd0a5efd8438ed2a0006f3552febc684b4fce85aeb88fb2c9bf819c06c4b SHA512 9dbb366d483843279cc7532b56a877313a7c39de25c93c313a2957092f9766ce5715a83dd87ef116d1733a7cc399319025ce1eb0e7ad174e2b7441360a9f5560
diff --git a/sci-libs/keras-applications/keras-applications-1.0.8-r1.ebuild b/sci-libs/keras-applications/keras-applications-1.0.8-r1.ebuild
index 382cc9d362c1..e640d34d62a7 100644
--- a/sci-libs/keras-applications/keras-applications-1.0.8-r1.ebuild
+++ b/sci-libs/keras-applications/keras-applications-1.0.8-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1
DESCRIPTION="Keras deep learning library reference implementations of deep learning models"
diff --git a/sci-libs/keras-preprocessing/Manifest b/sci-libs/keras-preprocessing/Manifest
index 49c6e633bf53..942861e8471f 100644
--- a/sci-libs/keras-preprocessing/Manifest
+++ b/sci-libs/keras-preprocessing/Manifest
@@ -1,3 +1,3 @@
DIST Keras_Preprocessing-1.1.2.tar.gz 163598 BLAKE2B 94d0bac41ac140015a5d46453c99e1180c8c06d8fab4d6707890b1f24466d287f6da54d66b395e5e50c7aac67cc0abc8153fbfbeb4ffb0e79561bca528a6b81b SHA512 aae4d52accdfb9df260070336b1c5a628e57563978f7cb299aa67a6265f26eb44deb803cef795616a5e94cd8bcd2b9aa067570258fff96642b88cc0c701c3cec
-EBUILD keras-preprocessing-1.1.2.ebuild 669 BLAKE2B bf3053948a2aef2ea1078661344681ce981db36c3db416e5a63e249dca87558725a94631b2dab6e68c217f40d4b49ad4e87ac258875dab2cc098455a8259821b SHA512 c01486e5bddfd491fd8a69f3e8e065c7d9492ce08ff34da3603944123f0ffd79bb0afcfe2b857c6a884493ff4237fbcc9fb58d5e27756fe1f11472b2e347f18d
+EBUILD keras-preprocessing-1.1.2.ebuild 671 BLAKE2B 477fb6c959caeed1eabcfd4e1c34f3636386ae212b7c8befd5b584972896414c9762527366d2bc13e96124093451a6db07987f2ba2aa85ae21a6c78689f1a005 SHA512 c98b2460e71d3698e026b95dca48a7cb284fb7491ba81847fc1cd04eae94d47e5eae3638342510cd72d625fff863c6c87241986f9567bee2ce24ef8bba130e46
MISC metadata.xml 585 BLAKE2B a2f92ac4e2b9af055313a13de9bcbaee7ab7ca2efa4790c82027aece4b629bfa7a73c5ed0286b0f24f1853330057527009afe6ab1722f19d9c504a9d0737e827 SHA512 371cc3f5897bd28c62642a8857a22e775e24aa917bc0e58bb4de4e0a2a6580174ba35cfda2e8dd83599e2180fdfb3f11a953e7076c6d87073e1465b145b115e9
diff --git a/sci-libs/keras-preprocessing/keras-preprocessing-1.1.2.ebuild b/sci-libs/keras-preprocessing/keras-preprocessing-1.1.2.ebuild
index 9b72af9e2845..a864e1a89657 100644
--- a/sci-libs/keras-preprocessing/keras-preprocessing-1.1.2.ebuild
+++ b/sci-libs/keras-preprocessing/keras-preprocessing-1.1.2.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7,8,9} )
inherit distutils-r1
MY_PN="Keras_Preprocessing"
diff --git a/sci-libs/libint/Manifest b/sci-libs/libint/Manifest
index de32368746d4..c701b185873d 100644
--- a/sci-libs/libint/Manifest
+++ b/sci-libs/libint/Manifest
@@ -3,5 +3,5 @@ DIST libint-1.1.6.tar.gz 256404 BLAKE2B c754e25f0c3bc6c52eb434beafd2cb794a2e7150
DIST libint-2.6.0.tar.gz 24743255 BLAKE2B 3ab7baba012828485c6c8425bce100e1ab50d2a3c8443ea2ef5cf173d58d8aa211a07e837b10a7f89d7e57f2e15b9384060bbf7b9885f32e9426525e65e15960 SHA512 56343c64b0dfb829702f4bb2fe14a04ad063acd7cb8b5a21cd1a45a830944c1ee98c888c9a28d6746b1bc17459aefcfb0aafe6ef310bfe554056212ad19e43ef
EBUILD libint-1.1.6.ebuild 855 BLAKE2B 65e5b86aa9e9b8a29825c7075145b4ad170c9a6bd255773e605a826476a54e3ec4734194362a53d74c95b3916e98ab7343ac5b94f4defb2a6cad0c42c55077a0 SHA512 ec5cc40c2c27cf812cca7d843461e5568f2596970ef80912e3c8cfab2cc70b0a5179c680c63a7d8df84d8d38bfd3e43dfad035ac4b43bf587ef81738d0e84274
EBUILD libint-2.6.0-r3.ebuild 1422 BLAKE2B 5a95126604bd6e1e9f7b697fd542a0ee74a24b539d5ec367d2fcb833ec70481305869cbc18e6bdcb23692f5fe39467cf53d5264353ae854530cda4cda3de98c5 SHA512 0b2e7980ed09840a83659640df1ad32803d3975e419926958d5d75eb0fb8e7d2ca207093727b68b89419065c51c1c46dff268d833e897c1d5a4c827c90fc1c31
-EBUILD libint-2.6.0-r5.ebuild 1599 BLAKE2B aed56eb648dcaa628e7cfbed6baa9937f349397108a72060b1066df1c76ab601307b5a35130b30f5ec2146d15cef9e4050f6ca3cc82ca1a0712fee9533658f13 SHA512 c9e01d3adadc3fdd75e110e2ab686ab63657dea38300f3024bf044e1c55050a3971101908c8d446cf227b4ba62b2d172f9d42560d3e6a01416f03891c595c0cb
+EBUILD libint-2.6.0-r5.ebuild 1598 BLAKE2B d3efe5f6bb2e2304cbb07eb1de390d5b596cb4dbd4e34e4716a468345cbf72c0bc7b71dc714a66383304ca6a17a4f7c232450c7d989b1d8e9c571ac10ab24f90 SHA512 ace5668a85735297d2f7e835de962e3e3c4c84f0c6ccb3f8989e9e3fc53a0d84fad5320ba3dbab00e1d70ded7e909e0c8afbcf60d5332979dd000154f88bc3db
MISC metadata.xml 612 BLAKE2B bc2b11edd30d0db99860d1d005c56c428c75be96224fa3285fd3cde6f35af0f142b445254214af00308a29ee8965505a8dfe14ffb2e80b57ca42ef20c91bf100 SHA512 db9172c0e887d45f42914159eae83c0f11b40fbafac31395c782ff959cdccad8a62a8d468cec66d6e362cd8ea09aa3b05057d19fff8a1f94b9bd472be97d04b0
diff --git a/sci-libs/libint/libint-2.6.0-r5.ebuild b/sci-libs/libint/libint-2.6.0-r5.ebuild
index bb486f0f534f..bbf70b01e2ba 100644
--- a/sci-libs/libint/libint-2.6.0-r5.ebuild
+++ b/sci-libs/libint/libint-2.6.0-r5.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/evaleev/libint/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SLOT="2"
LICENSE="GPL-2"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
IUSE="static-libs doc"
DEPEND="
diff --git a/sci-libs/libqalculate/Manifest b/sci-libs/libqalculate/Manifest
index 5bd9615694ac..19d7b4d1d5b9 100644
--- a/sci-libs/libqalculate/Manifest
+++ b/sci-libs/libqalculate/Manifest
@@ -1,7 +1,9 @@
DIST libqalculate-3.17.0.tar.gz 1770500 BLAKE2B 247c74db32e63437c556dd60f00f56acf53d9ba90ea1027b34b98b455215e6c03e3ee34116b6d3989fa43b449e18b6f2ebaed67f9dff36f08dd8b38c685c6586 SHA512 b204dc44b6fdb2b72d3c85840fee38482db071f0f8241420ea24093dcdcc377c66f516c571827fbede40237618a53153a75bb7afee7f3bee7a1a71aedd779a11
DIST libqalculate-3.18.0.tar.gz 1788899 BLAKE2B 7701dab4d11c9d54f95454cd7be530cfa9f5a8dbe438dac6d734c294ce1eb5be1f4fdb30ef6d041d19f389df88dce4fa7dea68d555ad441992498685bfb3b919 SHA512 37d870f6fd147745747ac971758a512e85e33c42605b99ac4ba68b53ca42a6f0da7ede3869fe3ea4e47d77961e826ad999e0f0c0d87039042563f124bea1250e
DIST libqalculate-3.19.0.tar.gz 2007385 BLAKE2B bd0b1bbfcd4bad0053ec9193bec1081cce609935b4282add885d7277a20696cc3c69272b8255d9da3e79907ec4c57b4b87c971908fc3da890d46ff4849e65ccc SHA512 19df6e46e88478df4dd7ae592557c8c984f76c137708892b01f88737c2a8d72ca01324fd1b1322069292795cd158483b3fc0cc99c6559279e7a2f76ca4a47a56
+DIST libqalculate-3.20.1.tar.gz 2107300 BLAKE2B 79314cbe2adb183a17f96947b8ad4fa0bbfea665f7b9afda67785059e9bc0d94599b05cd55999302fc5e1216929b4ed98db4e2a6ae0c6fc74ebdd37dc6dcb72e SHA512 65a723c257c9e2419fc60ca254c23a7a7dd4d9a31beaa9c8fcf41a1e252e5f3be08e1160dcc72a0a407fe3ffd3e73353b141e40019871677a490d8c810c96931
EBUILD libqalculate-3.17.0.ebuild 1424 BLAKE2B dff87b194a2a34a0711c7b0b8f50d7e46f57b90869a2706d8aa7991440b56db8c92e54eb6265dfd4edf5086a058d53be87e3c0d1c553e13b9c2d27682efb707a SHA512 dc38abad377639192c9f276a1cf86847463b1ffe5fc35aef15b4d5d6e68f46af6dd6950f8127b1c091ce649dc5dd8fc6010333532ff493344727dd11e726b469
EBUILD libqalculate-3.18.0.ebuild 1424 BLAKE2B dff87b194a2a34a0711c7b0b8f50d7e46f57b90869a2706d8aa7991440b56db8c92e54eb6265dfd4edf5086a058d53be87e3c0d1c553e13b9c2d27682efb707a SHA512 dc38abad377639192c9f276a1cf86847463b1ffe5fc35aef15b4d5d6e68f46af6dd6950f8127b1c091ce649dc5dd8fc6010333532ff493344727dd11e726b469
-EBUILD libqalculate-3.19.0.ebuild 1609 BLAKE2B 0b94f2b0efce772c01aa861c72e8499d6e32dca53bdd3ee338cd147edd988f4764733786a76052a86c6b749c10b6961d9fb2b0dca9369e5123a07ba0e6ebd7a2 SHA512 098a1bae358bdabb33207fca12efb737f6510fd4c478c577504e10c87e7298ab3ea2c1ab1c5308a6cb5c363b9cc96f7c2797c2c048a08b12370580decd25bbcf
+EBUILD libqalculate-3.19.0.ebuild 1604 BLAKE2B 742061709594aff32c619af31ed37f9741c71c59e015415ed3a2cad9e3b491c3f8546fd54d8db3bdb66b60f5d1e0fef71fc407bea2fd9ac7a34c851262ef414c SHA512 f85aa53889d88ea0e6cfadabdafdc5bfb6681452351e8adf9e740561831ad0ac9ed1a228be82e82a4e4a08c39f3f9e7c736c5d91bd9f9bf0471301608ad27608
+EBUILD libqalculate-3.20.1-r1.ebuild 1608 BLAKE2B 527c1abfaa8d29f92f178d63c8898ec26affc870a830cfe7c26bde6f76fd9b900457822ec148a8aef32ef23d51ffc5aa0f89b96549c587e699e3ef2179f35f7e SHA512 dd7b56e849de9713540e1c449f09f982b5042e7210d8b4612d4ead5bf29646ffc7343d8400fc60f681ff37e5cb457bc84ea1af4289d37877581db02d07f4e328
MISC metadata.xml 412 BLAKE2B bec97c9946830a88d871c0a27f06ff42a2ed252971f616f43f4c0cfa9617ea46565153c41c2aabea921b694c6a665a097635fdcf5dd82387dc60445e14657427 SHA512 3e011ceae845d6f233e86f7d39eb4460f561720312d8a0696b87672251cf46138228ae678ab63459280dd36fda3f9f8f302d9259e49acd6606fe2e66126bffb9
diff --git a/sci-libs/libqalculate/libqalculate-3.19.0.ebuild b/sci-libs/libqalculate/libqalculate-3.19.0.ebuild
index 3aa3d2f4f4cc..b1e1ab831657 100644
--- a/sci-libs/libqalculate/libqalculate-3.19.0.ebuild
+++ b/sci-libs/libqalculate/libqalculate-3.19.0.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz
LICENSE="GPL-2"
SLOT="0/21"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
IUSE="curl icu gnuplot readline"
DEPEND="
diff --git a/sci-libs/libqalculate/libqalculate-3.20.1-r1.ebuild b/sci-libs/libqalculate/libqalculate-3.20.1-r1.ebuild
new file mode 100644
index 000000000000..590dd468c1ed
--- /dev/null
+++ b/sci-libs/libqalculate/libqalculate-3.20.1-r1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="A modern multi-purpose calculator library"
+HOMEPAGE="https://qalculate.github.io/"
+SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0/22"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="curl icu gnuplot readline"
+
+DEPEND="
+ dev-libs/gmp:0=
+ dev-libs/libxml2:2
+ dev-libs/mpfr:0=
+ virtual/libiconv
+ curl? ( net-misc/curl )
+ icu? ( dev-libs/icu:= )
+ readline? ( sys-libs/readline:0= )"
+RDEPEND="${DEPEND}
+ gnuplot? ( >=sci-visualization/gnuplot-3.7 )"
+BDEPEND="dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+
+ cat >po/POTFILES.skip <<-EOF || die
+ # Required by make check
+ data/currencies.xml.in
+ data/datasets.xml.in
+ data/elements.xml.in
+ data/functions.xml.in
+ data/planets.xml.in
+ data/prefixes.xml.in
+ data/units.xml.in
+ data/variables.xml.in
+ src/defs2doc.cc
+ EOF
+}
+
+src_configure() {
+ # Needed for po-defs/Makefile
+ export CXX_FOR_BUILD="$(tc-getBUILD_CXX)"
+ export CXXCPP_FOR_BUILD="$(tc-getBUILD_CXX) -E"
+
+ # bug #792027
+ tc-export CC
+
+ econf \
+ --disable-static \
+ $(use_with curl libcurl) \
+ $(use_with gnuplot gnuplot-call) \
+ $(use_with icu) \
+ $(use_with readline)
+}
+
+src_install() {
+ # docs/reference/Makefile.am -> referencedir=
+ emake \
+ DESTDIR="${D}" \
+ referencedir="${EPREFIX}/usr/share/doc/${PF}/html" \
+ install
+
+ einstalldocs
+
+ find "${ED}" -name '*.la' -delete || die
+}
diff --git a/sci-libs/tensorflow-estimator/Manifest b/sci-libs/tensorflow-estimator/Manifest
index 9527c061119f..fa4a74d29dfc 100644
--- a/sci-libs/tensorflow-estimator/Manifest
+++ b/sci-libs/tensorflow-estimator/Manifest
@@ -7,5 +7,5 @@ DIST tensorflow-estimator-2.4.0.tar.gz 660203 BLAKE2B b270536fe976fc718bb6ba558d
DIST tensorflow-estimator-2.5.0.tar.gz 689339 BLAKE2B 6fb491b047cabed6edf67cccc913de54e4c2337eb052ba833239b72b07facaf33410b8a57a8f95fc0e2c225190d9b26b7955579d77883dbc236519cb784784c3 SHA512 dc49d92f4d2e63770dd901b272d7c62db50bfef7107e38f6525b6a458ad9915d1cbcdc9961c70c6ef88b9a38361f7b6712f6a2d30e240a35aab4bb25ffe17e71
EBUILD tensorflow-estimator-2.3.0.ebuild 1996 BLAKE2B 935e5abdbf005915672c23942a99b4d0e7fe78ffe007df9e8dc0600c45189b0d65f0ba8252ea3c8f9ecc53cee332d1dbf1f97245486e68f0e6a8c805d3c85991 SHA512 fd088f65553d2887477434a88957a78205f13d0c7b5f281a3be7dc1e98c83dc4bdd52b0d10500ba5b7db13cfab5b80e0e0f135230a9e20e50a78d6542356eb01
EBUILD tensorflow-estimator-2.4.0.ebuild 2012 BLAKE2B 16c9916d5a4a4ecbd1ad6b1f4e508fb2951b195f0f4e277e472bfa5da7879493f99db712aa629904c150fc54efd62f3721cc6f9e328719c0696ab97bc7a4a880 SHA512 5aac7a7eccd518ced6f1359e02cd211e4552735283d1d9cda02839734ab15c555cae6d58fdd8b64d86775a9f1b05cda0c7dd81ba21f0908208dbdca84c0285a5
-EBUILD tensorflow-estimator-2.5.0.ebuild 2173 BLAKE2B 37b190141bbbd2de2c1154196bb44adf996159a28eed234321985f43e7ba54558390572c0c5cb1bdc9b0f5f67935ffcc64062ea365f763a03e707fb621a10751 SHA512 802d742e55f7d7ef9d533e791999167d85a9f91b47580f201341a2371750811ee38c9660a8cd1045e31912d1905cb15e282ad5562a660c6098914618f2e1ff81
+EBUILD tensorflow-estimator-2.5.0.ebuild 2175 BLAKE2B e9e90aee52d27b13f193a2a91f84ff97f641ac23fb948cfb34911212c2db3347f30639ebe537573cbd2b5e6788d843fe70f2c473e6b35889906d1b8fe66d292b SHA512 eacca70003a320d3c7c5a51609a8a62d887fae1eaa5e0405c8fa019549cb004fb0a46db79a646a744e2c589fdd66412c0f44a746387a35158ad0d67b4d013fb1
MISC metadata.xml 580 BLAKE2B fb81098968d0fdf34a3f28dabee76df16be5393cb9ea79ee4fa670af985ef3f70bb83f14be84a0cc0e564e6626007c2977851f8299460b483f88325be155f4cc SHA512 6aef6523502a3bcf0b2ca59cf7480b92032b53020cccfa715203e5a48c960ecc92c94fa75f98a234da2d51662d43e0c1a85a1537f3ab67287cdb8183476a0efa
diff --git a/sci-libs/tensorflow-estimator/tensorflow-estimator-2.5.0.ebuild b/sci-libs/tensorflow-estimator/tensorflow-estimator-2.5.0.ebuild
index 770a8a614291..913bf9e0bcc2 100644
--- a/sci-libs/tensorflow-estimator/tensorflow-estimator-2.5.0.ebuild
+++ b/sci-libs/tensorflow-estimator/tensorflow-estimator-2.5.0.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
+PYTHON_COMPAT=( python3_{7,8,9} )
MY_PN="estimator"
MY_PV=${PV/_rc/-rc}
MY_P=${MY_PN}-${MY_PV}
diff --git a/sci-libs/tensorflow/Manifest b/sci-libs/tensorflow/Manifest
index ad4ccd54d5ac..6fe418e29868 100644
--- a/sci-libs/tensorflow/Manifest
+++ b/sci-libs/tensorflow/Manifest
@@ -40,8 +40,10 @@ DIST tensorflow-1.15.0-python-license.rst.txt 45132 BLAKE2B 8a8ace4b64fd9eda1932
DIST tensorflow-2.4.0.tar.gz 53257138 BLAKE2B 21973f67a7a4cb91baccbd3a4d9c8bce4c7f488ed44e834122b0fa0fc47b22d48276ecd9b580fa839c32a3dacac73bc010f91a27e5568df4dd9986b14b7eeb4f SHA512 4860c148fd931c4dc7c558128e545e2b6384e590a3fbc266a5bfe842a8307f23f1f7e0103bda3a383e7c77edad2bb76dec02da8be400a40956072df19c5d4dbd
DIST tensorflow-2.5.0.tar.gz 55999506 BLAKE2B 0f1f29ed9ff6e5fd3fc0c98419bca636f48085810f934290885b3469c45817b2ce17e9dbd3d93d70b09ec7975088edd0973f147449f527a8f2e23b388e2592ce SHA512 637c63b1bed1c0eb7bb018f1ff7f29f7f0d78e75dac384df4ecb5dfb92bbcb28209e3d3d2204145abddf88e3247d8c31bbb4cea032a73b7122b2ef3eb0d2b947
DIST tensorflow-patches-2.4.0.tar.bz2 1842 BLAKE2B ac35a02e3494b0cb6cfcc9212557d5b5480aea41b09d74b918471e688b489bafd2dbc609320abde609a461db1c8d0043fce4053ad9a223bc93fb883176417199 SHA512 39b3ebe710eb3bb5c4575dbbad66ae1bd2a81b803fb9007709154320eaf31cbac213ea5dc6c2e674e685db1cea5ff524f723f3893dfe5f31af32be7756882b28
+DIST tensorflow-patches-2.5.0-r1.tar.bz2 5180 BLAKE2B aafebb5cc4616ad93982e0fd8299f91c22063b96841b920a98a4cb54bcdc0cad51011f943ca62055239a0c21ed69d1f5b985710dcf0c28346b7ba12114583842 SHA512 38acd53136f3f1e061b71624cc5a1cefbdcb1d897b7728bc93462e8f52e998c3d72453ca9c94fa53dd28279cae5c591b7cbe9f61684784ff94c451a641524f31
DIST tensorflow-patches-2.5.0.tar.bz2 4834 BLAKE2B 3e7331bb290db529e32fe6ba0a9fa2f5729fc510b925bc74532eb1bb15f8ecdaa2655cb16229a696e9716d006057badf26392e8fca2695146dc9a491050cb7c2 SHA512 699d16296c4f04e4de540b2eb91122a245cc02233a2b76021646a57d3228688b44a691308b4f1e9d9dc16929e6d2d692540cdeb3f42d2cad2c101d3008c22a33
DIST tensorflow-toolchains-v1.1.10.tar.gz 137512 BLAKE2B 774b22a599070564c0f77ed0da79f6a96359b196dd3007370be885b796c236b9a29c01597507a3049f82cf489824c8016740b778cacb2b8cd859500f9ecb1887 SHA512 1daf4684f5b364a89b3cc475cf2d13d0d0622fc14d2b32d7ad8518932538e716782d755cfcedc98d129a3986bc7c38bfc7854c8ad596891e397510b75ae2f93e
EBUILD tensorflow-2.4.0.ebuild 14658 BLAKE2B dcaed6ed4fcd5c4b476843123b28a5fbff7f5a82745974ef8f003d3631bb594d4685225dfbf0274c27c14464859f22e13b02a489c58a286c520015b96b19e970 SHA512 917f4f972ed833bcabe9adbf3cf36b04ab65d7afc272faebdd409b121616e9759d29ea16d0bb6d9ee5077ecc9250bd93bec6ccf9abe3f1f8d948e4d8588cb0e3
+EBUILD tensorflow-2.5.0-r1.ebuild 15549 BLAKE2B 6ce8046e632899b01048a95b5ad7746fa12d412d0a02f097482ed5792849cec4fd47fe82b0f0efafb16e00e4964de9551d26a5eac7f423f1f51880897b563b88 SHA512 e2cd4679c5e232e39bc81285fc5819901c24990e235faef3a2177de192e7bd483601a8b0bdd9b810c8cb47e7f9987d68aeaa25307344bfb0cf01cdf24bc0457d
EBUILD tensorflow-2.5.0.ebuild 15547 BLAKE2B 52467e6df18ef6d8e3906a171b73c4b2d696fcd5bd1054b4a91b3074104375c2c35f2af29cc738af075df77e7aa128e9f378df993bfc9dc8be40cad7e87ddd96 SHA512 780580f02f115de8b5f63a4ab0c78acfe30baf69c0f46a908a173db2b7a2c0b32f596e67f25c129e5ddd304e7873dd488a49800296e32a623f2eefea7256f63f
MISC metadata.xml 500 BLAKE2B 05036ab51828503c91b561bf087bb0a4d0cd6aa2f68dafa51499a5b57c33bf04e4f413aca576b62eb60b233467405a346c08d72b3c771b9f3fb4e099a55bd3c5 SHA512 ca5c67f8ced7d0f5ebb5f261c7adbcf23ea31b099e0aa3e1a3f6fd37df7d3558706af4df8411fc421a3b99c8615df7c5f07c617d7af275eccc728e76ce509458
diff --git a/sci-libs/tensorflow/tensorflow-2.5.0-r1.ebuild b/sci-libs/tensorflow/tensorflow-2.5.0-r1.ebuild
new file mode 100644
index 000000000000..1a9cf3d0793b
--- /dev/null
+++ b/sci-libs/tensorflow/tensorflow-2.5.0-r1.ebuild
@@ -0,0 +1,410 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-${MY_PV}
+
+inherit bazel check-reqs cuda distutils-r1 flag-o-matic prefix toolchain-funcs
+
+DESCRIPTION="Computation framework using data flow graphs for scalable machine learning"
+HOMEPAGE="https://www.tensorflow.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cuda mpi +python xla"
+CPU_USE_FLAGS_X86="sse sse2 sse3 sse4_1 sse4_2 avx avx2 fma3 fma4"
+for i in $CPU_USE_FLAGS_X86; do
+ IUSE+=" cpu_flags_x86_${i}"
+done
+
+# distfiles that bazel uses for the workspace, will be copied to basel-distdir
+bazel_external_uris="
+ https://github.com/abseil/abseil-cpp/archive/6f9d96a1f41439ac172ee2ef7ccd8edf0e5d068c.tar.gz -> abseil-cpp-6f9d96a1f41439ac172ee2ef7ccd8edf0e5d068c.tar.gz
+ https://github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz
+ https://github.com/bazelbuild/bazel-toolchains/archive/92dd8a7a518a2fb7ba992d47c8b38299fe0be825.tar.gz -> bazel-toolchains-92dd8a7a518a2fb7ba992d47c8b38299fe0be825.tar.gz
+ https://github.com/bazelbuild/rules_android/archive/v0.1.1.zip -> bazelbuild-rules_android-v0.1.1.zip
+ https://github.com/bazelbuild/rules_cc/archive/01d4a48911d5e7591ecb1c06d3b8af47fe872371.zip -> bazelbuild-rules_cc-01d4a48911d5e7591ecb1c06d3b8af47fe872371.zip
+ https://github.com/bazelbuild/rules_closure/archive/308b05b2419edb5c8ee0471b67a40403df940149.tar.gz -> bazelbuild-rules_closure-308b05b2419edb5c8ee0471b67a40403df940149.tar.gz
+ https://github.com/bazelbuild/rules_docker/releases/download/v0.10.0/rules_docker-v0.10.0.tar.gz -> bazelbuild-rules_docker-v0.10.0.tar.gz
+ https://github.com/bazelbuild/rules_java/archive/7cf3cefd652008d0a64a419c34c13bdca6c8f178.zip -> bazelbuild-rules_java-7cf3cefd652008d0a64a419c34c13bdca6c8f178.zip
+ https://github.com/bazelbuild/rules_proto/archive/97d8af4dc474595af3900dd85cb3a29ad28cc313.tar.gz -> bazelbuild-rules_proto-97d8af4dc474595af3900dd85cb3a29ad28cc313.tar.gz
+ https://github.com/bazelbuild/rules_python/releases/download/0.0.1/rules_python-0.0.1.tar.gz -> bazelbuild-rules_python-0.0.1.tar.gz
+ https://github.com/bazelbuild/rules_swift/archive/3eeeb53cebda55b349d64c9fc144e18c5f7c0eb8.tar.gz -> bazelbuild-rules_swift-3eeeb53cebda55b349d64c9fc144e18c5f7c0eb8.tar.gz
+ https://github.com/dmlc/dlpack/archive/3efc489b55385936531a06ff83425b719387ec63.tar.gz -> dlpack-3efc489b55385936531a06ff83425b719387ec63.tar.gz
+ https://github.com/google/farmhash/archive/816a4ae622e964763ca0862d9dbd19324a1eaf45.tar.gz -> farmhash-816a4ae622e964763ca0862d9dbd19324a1eaf45.tar.gz
+ https://github.com/google/gemmlowp/archive/fda83bdc38b118cc6b56753bd540caa49e570745.zip -> gemmlowp-fda83bdc38b118cc6b56753bd540caa49e570745.zip
+ https://github.com/google/highwayhash/archive/fd3d9af80465e4383162e4a7c5e2f406e82dd968.tar.gz -> highwayhash-fd3d9af80465e4383162e4a7c5e2f406e82dd968.tar.gz
+ https://github.com/google/re2/archive/506cfa4bffd060c06ec338ce50ea3468daa6c814.tar.gz -> re2-506cfa4bffd060c06ec338ce50ea3468daa6c814.tar.gz
+ https://github.com/google/ruy/archive/54774a7a2cf85963777289193629d4bd42de4a59.zip -> ruy-54774a7a2cf85963777289193629d4bd42de4a59.zip
+ https://github.com/joe-kuo/sobol_data/archive/835a7d7b1ee3bc83e575e302a985c66ec4b65249.tar.gz -> sobol_data-835a7d7b1ee3bc83e575e302a985c66ec4b65249.tar.gz
+ https://github.com/llvm/llvm-project/archive/1f6a57c1a0fad922e04a2b1f414b092d4b0cd8b0.tar.gz -> llvm-1f6a57c1a0fad922e04a2b1f414b092d4b0cd8b0.tar.gz
+ https://github.com/llvm/llvm-project/releases/download/llvmorg-10.0.1/openmp-10.0.1.src.tar.xz -> llvmorg-10.0.1-openmp-10.0.1.src.tar.xz
+ https://github.com/mborgerding/kissfft/archive/36dbc057604f00aacfc0288ddad57e3b21cfc1b8.tar.gz -> kissfft-36dbc057604f00aacfc0288ddad57e3b21cfc1b8.tar.gz
+ https://github.com/oneapi-src/oneDNN/archive/v2.2.tar.gz -> oneDNN-v2.2.tar.gz
+ https://github.com/petewarden/OouraFFT/archive/v1.0.tar.gz -> OouraFFT-v1.0.tar.gz
+ https://github.com/pytorch/cpuinfo/archive/5916273f79a21551890fd3d56fc5375a78d1598d.zip -> pytorch-cpuinfo-5916273f79a21551890fd3d56fc5375a78d1598d.zip
+ https://github.com/pytorch/cpuinfo/archive/d5e37adf1406cf899d7d9ec1d317c47506ccb970.tar.gz -> pytorch-cpuinfo-d5e37adf1406cf899d7d9ec1d317c47506ccb970.tar.gz
+ https://github.com/tensorflow/toolchains/archive/v1.1.10.tar.gz -> tensorflow-toolchains-v1.1.10.tar.gz
+ https://gitlab.com/libeigen/eigen/-/archive/f612df273689a19d25b45ca4f8269463207c4fee/eigen-f612df273689a19d25b45ca4f8269463207c4fee.tar.gz
+ cuda? (
+ https://github.com/NVIDIA/cudnn-frontend/archive/360d6e7164dfb7c802493fd1c0464f0d815b852a.zip -> cudnn-frontend-360d6e7164dfb7c802493fd1c0464f0d815b852a.zip
+ https://github.com/NVlabs/cub/archive/1.9.9.zip -> cub-1.9.9.zip
+ https://github.com/nvidia/nccl/archive/v2.8.3-1.tar.gz -> nvidia-nccl-v2.8.3-1.tar.gz
+ )
+ python? (
+ https://github.com/intel/ARM_NEON_2_x86_SSE/archive/1200fe90bb174a6224a525ee60148671a786a71f.tar.gz -> ARM_NEON_2_x86_SSE-1200fe90bb174a6224a525ee60148671a786a71f.tar.gz
+ https://storage.googleapis.com/mirror.tensorflow.org/docs.python.org/2.7/_sources/license.rst.txt -> tensorflow-1.15.0-python-license.rst.txt
+ https://pypi.python.org/packages/bc/cc/3cdb0a02e7e96f6c70bd971bc8a90b8463fda83e264fa9c5c1c98ceabd81/backports.weakref-1.0rc1.tar.gz
+ )"
+
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz
+ https://dev.gentoo.org/~perfinion/patches/tensorflow-patches-${PVR}.tar.bz2
+ ${bazel_external_uris}"
+
+RDEPEND="
+ app-arch/snappy
+ dev-db/lmdb
+ dev-db/sqlite
+ dev-libs/double-conversion
+ dev-libs/icu:=
+ >=dev-libs/jsoncpp-1.9.2
+ dev-libs/libpcre
+ dev-libs/nsync
+ dev-libs/openssl:0=
+ >=dev-libs/protobuf-3.13.0:=
+ >=dev-libs/re2-0.2019.06.01:=
+ media-libs/giflib
+ media-libs/libjpeg-turbo
+ media-libs/libpng:0
+ >=net-libs/grpc-1.28:=
+ net-misc/curl
+ sys-libs/zlib
+ >=sys-apps/hwloc-2
+ cuda? (
+ || (
+ ( =dev-util/nvidia-cuda-toolkit-11.1*[profiler] =dev-libs/cudnn-8* )
+ ( =dev-util/nvidia-cuda-toolkit-11.2*[profiler] =dev-libs/cudnn-8* )
+ )
+ )
+ mpi? ( virtual/mpi )
+ python? (
+ ${PYTHON_DEPS}
+ >=dev-libs/flatbuffers-1.12.0:=
+ dev-python/absl-py[${PYTHON_USEDEP}]
+ >=dev-python/astor-0.7.1[${PYTHON_USEDEP}]
+ dev-python/astunparse[${PYTHON_USEDEP}]
+ dev-python/dill[${PYTHON_USEDEP}]
+ dev-python/flatbuffers[${PYTHON_USEDEP}]
+ >=dev-python/gast-0.3.3[${PYTHON_USEDEP}]
+ dev-python/h5py[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.19[${PYTHON_USEDEP}]
+ >=dev-python/google-pasta-0.1.8[${PYTHON_USEDEP}]
+ >=dev-python/opt-einsum-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.13.0[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/tblib[${PYTHON_USEDEP}]
+ dev-python/termcolor[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-1.28[${PYTHON_USEDEP}]
+ >=dev-python/wrapt-1.11.1[${PYTHON_USEDEP}]
+ >=net-libs/google-cloud-cpp-0.10.0
+ >=sci-libs/keras-applications-1.0.8[${PYTHON_USEDEP}]
+ >=sci-libs/keras-preprocessing-1.1.2[${PYTHON_USEDEP}]
+ >=sci-visualization/tensorboard-2.5.0[${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}
+ python? (
+ dev-python/mock
+ dev-python/setuptools
+ )"
+PDEPEND="python? (
+ >=sci-libs/tensorflow-estimator-2.5.0[${PYTHON_USEDEP}]
+ )"
+BDEPEND="
+ app-arch/unzip
+ >=dev-libs/protobuf-3.8.0
+ dev-java/java-config
+ >=dev-util/bazel-3.7.2
+ cuda? (
+ >=dev-util/nvidia-cuda-toolkit-9.1[profiler]
+ )
+ !python? ( dev-lang/python )
+ python? (
+ dev-python/cython
+ dev-python/mock
+ >=dev-python/grpcio-tools-1.28
+ )"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( AUTHORS CONTRIBUTING.md ISSUE_TEMPLATE.md README.md RELEASE.md )
+CHECKREQS_MEMORY="5G"
+CHECKREQS_DISK_BUILD="10G"
+
+get-cpu-flags() {
+ local i f=()
+ # Keep this list in sync with tensorflow/core/platform/cpu_feature_guard.cc.
+ for i in sse sse2 sse3 sse4_1 sse4_2 avx avx2 fma4; do
+ use cpu_flags_x86_${i} && f+=( -m${i/_/.} )
+ done
+ use cpu_flags_x86_fma3 && f+=( -mfma )
+ echo "${f[*]}"
+}
+
+pkg_setup() {
+ ewarn "TensorFlow 2.0 is a major release that contains some incompatibilities"
+ ewarn "with TensorFlow 1.x. For more information about migrating to TF2.0 see:"
+ ewarn "https://www.tensorflow.org/guide/migrate"
+
+ local num_pythons_enabled
+ num_pythons_enabled=0
+ count_impls() {
+ num_pythons_enabled=$((${num_pythons_enabled} + 1))
+ }
+ use python && python_foreach_impl count_impls
+
+ # 10G to build C/C++ libs, 5G per python impl
+ CHECKREQS_DISK_BUILD="$((10 + 6 * ${num_pythons_enabled}))G"
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ # Only unpack the main distfile
+ unpack "${P}.tar.gz"
+ unpack tensorflow-patches-${PVR}.tar.bz2
+ bazel_load_distfiles "${bazel_external_uris}"
+}
+
+src_prepare() {
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+
+ append-flags $(get-cpu-flags)
+ bazel_setup_bazelrc
+
+ eapply "${WORKDIR}"/patches/*.patch
+
+ # Relax version checks in setup.py
+ sed -i "/^ '/s/==/>=/g" tensorflow/tools/pip_package/setup.py || die
+ sed -i "/config_googleapis/d" tensorflow/workspace0.bzl || die
+
+ # Prefixify hard-coded command locations
+ hprefixify -w /host_compiler_prefix/ third_party/gpus/cuda_configure.bzl
+
+ default
+ use python && python_copy_sources
+
+ use cuda && cuda_add_sandbox
+}
+
+src_configure() {
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+ export KERAS_HOME="${T}/.keras" # otherwise sandbox violation writing ~/.keras
+
+ do_configure() {
+ export CC_OPT_FLAGS=" "
+ export TF_ENABLE_XLA=$(usex xla 1 0)
+ export TF_NEED_OPENCL_SYCL=0
+ export TF_NEED_OPENCL=0
+ export TF_NEED_COMPUTECPP=0
+ export TF_NEED_ROCM=0
+ export TF_NEED_MPI=$(usex mpi 1 0)
+ export TF_SET_ANDROID_WORKSPACE=0
+
+ if use python; then
+ export PYTHON_BIN_PATH="${PYTHON}"
+ export PYTHON_LIB_PATH="$(python_get_sitedir)"
+ else
+ export PYTHON_BIN_PATH="$(which python)"
+ export PYTHON_LIB_PATH="$(python -c 'from distutils.sysconfig import *; print(get_python_lib())')"
+ fi
+
+ export TF_NEED_CUDA=$(usex cuda 1 0)
+ export TF_DOWNLOAD_CLANG=0
+ export TF_CUDA_CLANG=0
+ export TF_NEED_TENSORRT=0
+ if use cuda; then
+ export TF_CUDA_PATHS="${EPREFIX}/opt/cuda"
+ export GCC_HOST_COMPILER_PATH="$(cuda_gccdir)/$(tc-getCC)"
+ export TF_CUDA_VERSION="$(cuda_toolkit_version)"
+ export TF_CUDNN_VERSION="$(cuda_cudnn_version)"
+ einfo "Setting CUDA version: $TF_CUDA_VERSION"
+ einfo "Setting CUDNN version: $TF_CUDNN_VERSION"
+
+ if [[ $(cuda-config -s) != *$(gcc-version)* ]]; then
+ ewarn "TensorFlow is being built with Nvidia CUDA support. Your default compiler"
+ ewarn "version is not supported by the currently installed CUDA. TensorFlow will"
+ ewarn "instead be compiled using: ${GCC_HOST_COMPILER_PATH}."
+ ewarn "If the build fails with linker errors try rebuilding the relevant"
+ ewarn "dependencies using the same compiler version."
+ fi
+
+ if [[ -z "$TF_CUDA_COMPUTE_CAPABILITIES" ]]; then
+ ewarn "WARNING: TensorFlow is being built with its default CUDA compute capabilities: 3.5 and 7.0."
+ ewarn "These may not be optimal for your GPU."
+ ewarn ""
+ ewarn "To configure TensorFlow with the CUDA compute capability that is optimal for your GPU,"
+ ewarn "set TF_CUDA_COMPUTE_CAPABILITIES in your make.conf, and re-emerge tensorflow."
+ ewarn "For example, to use CUDA capability 7.5 & 3.5, add: TF_CUDA_COMPUTE_CAPABILITIES=7.5,3.5"
+ ewarn ""
+ ewarn "You can look up your GPU's CUDA compute capability at https://developer.nvidia.com/cuda-gpus"
+ ewarn "or by running /opt/cuda/extras/demo_suite/deviceQuery | grep 'CUDA Capability'"
+ fi
+ fi
+
+ # com_googlesource_code_re2 weird branch using absl, doesnt work with released re2
+ #com_github_googleapis_googleapis
+ local SYSLIBS=(
+ absl_py
+ astor_archive
+ astunparse_archive
+ boringssl
+ com_github_googlecloudplatform_google_cloud_cpp
+ com_github_grpc_grpc
+ com_google_protobuf
+ curl
+ cython
+ dill_archive
+ double_conversion
+ enum34_archive
+ flatbuffers
+ functools32_archive
+ gast_archive
+ gif
+ hwloc
+ icu
+ jsoncpp_git
+ libjpeg_turbo
+ lmdb
+ nasm
+ nsync
+ opt_einsum_archive
+ org_sqlite
+ pasta
+ pcre
+ png
+ pybind11
+ six_archive
+ snappy
+ tblib_archive
+ termcolor_archive
+ typing_extensions_archive
+ wrapt
+ zlib
+ )
+
+ export TF_SYSTEM_LIBS="${SYSLIBS[@]}"
+ export TF_IGNORE_MAX_BAZEL_VERSION=1
+
+ # This is not autoconf
+ ./configure || die
+
+ echo 'build --config=noaws --config=nohdfs' >> .bazelrc || die
+ echo 'build --define tensorflow_mkldnn_contraction_kernel=0' >> .bazelrc || die
+ echo "build --action_env=KERAS_HOME=\"${T}/.keras\"" >> .bazelrc || die
+ echo "build --host_action_env=KERAS_HOME=\"${T}/.keras\"" >> .bazelrc || die
+
+ for cflag in $($(tc-getPKG_CONFIG) jsoncpp --cflags)
+ do
+ echo "build --copt=\"${cflag}\"" >> .bazelrc || die
+ echo "build --host_copt=\"${cflag}\"" >> .bazelrc || die
+ done
+ }
+ if use python; then
+ python_foreach_impl run_in_build_dir do_configure
+ else
+ do_configure
+ fi
+}
+
+src_compile() {
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+ export KERAS_HOME="${T}/.keras" # otherwise sandbox violation writing ~/.keras
+
+ if use python; then
+ python_setup
+ BUILD_DIR="${S}-${EPYTHON/./_}"
+ cd "${BUILD_DIR}"
+ fi
+
+ # fail early if any deps are missing
+ ebazel build -k --nobuild \
+ //tensorflow:libtensorflow_framework.so \
+ //tensorflow:libtensorflow.so \
+ //tensorflow:libtensorflow_cc.so \
+ $(usex python '//tensorflow/tools/pip_package:build_pip_package' '')
+
+ ebazel build \
+ //tensorflow:libtensorflow_framework.so \
+ //tensorflow:libtensorflow.so
+ ebazel build //tensorflow:libtensorflow_cc.so
+
+ do_compile() {
+ ebazel build //tensorflow/tools/pip_package:build_pip_package
+ }
+ BUILD_DIR="${S}"
+ cd "${BUILD_DIR}"
+ use python && python_foreach_impl run_in_build_dir do_compile
+ ebazel shutdown
+}
+
+src_install() {
+ local i j
+ export JAVA_HOME=$(java-config --jre-home) # so keepwork works
+ export KERAS_HOME="${T}/.keras" # otherwise sandbox violation writing ~/.keras
+
+ do_install() {
+ einfo "Installing ${EPYTHON} files"
+ local srcdir="${T}/src-${MULTIBUILD_VARIANT}"
+ mkdir -p "${srcdir}" || die
+ bazel-bin/tensorflow/tools/pip_package/build_pip_package --src "${srcdir}" || die
+ cd "${srcdir}" || die
+ esetup.py install
+
+ # libtensorflow_framework.so is in /usr/lib already
+ rm -f "${D}/$(python_get_sitedir)"/${PN}/lib${PN}_framework.so* || die
+ rm -f "${D}/$(python_get_sitedir)"/${PN}_core/lib${PN}_framework.so* || die
+ python_optimize
+ }
+
+ if use python; then
+ python_foreach_impl run_in_build_dir do_install
+
+ # Symlink to python-exec scripts
+ for i in "${ED}"/usr/lib/python-exec/*/*; do
+ n="${i##*/}"
+ [[ -e "${ED}/usr/bin/${n}" ]] || dosym ../lib/python-exec/python-exec2 "/usr/bin/${n}"
+ done
+
+ python_setup
+ local BUILD_DIR="${S}-${EPYTHON/./_}"
+ cd "${BUILD_DIR}" || die
+ fi
+
+ einfo "Installing headers"
+ ebazel build //tensorflow:install_headers
+ ebazel shutdown
+ insinto /usr/include/${PN}/
+ doins -r bazel-bin/tensorflow/include/*
+
+ einfo "Installing libs"
+ # Generate $(tc-getPKG_CONFIG) file
+ ${PN}/c/generate-pc.sh --prefix="${EPREFIX}"/usr --libdir=$(get_libdir) --version=${MY_PV} || die
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${PN}.pc ${PN}_cc.pc
+
+ for l in libtensorflow{,_framework,_cc}.so; do
+ dolib.so bazel-bin/tensorflow/${l}
+ dolib.so bazel-bin/tensorflow/${l}.$(ver_cut 1)
+ dolib.so bazel-bin/tensorflow/${l}.$(ver_cut 1-3)
+ done
+
+ einstalldocs
+}